using System;
using System.Collections.Generic;
using IRaCIS.Application.Contracts;
using IRaCIS.Core.Infrastructure.Extention;

namespace IRaCIS.Application.Interfaces
{
    public interface IHospitalService
    {
        /// <summary>获取医院列表</summary>
        Task<IEnumerable<HospitalDTO>> GetHospitalList();
        Task<PageOutput<HospitalDTO>> GetHospitalPageList(HospitalQueryDTO queryModel);
         Task<IResponseOutput> AddOrUpdateHospital(HospitalCommand model);
         Task<IResponseOutput> DeleteHospital(Guid hospitalId);

    }
}